<?
include 'concha.php';


mysql_connect("$host","$usuario","$contra");

mysql_select_db ("$basedatos");







$sql = "SELECT total FROM `ventas`
ORDER BY `ventas`.`ID`  DESC LIMIT 1";

$consulta = mysql_query ($sql);
while ($row = mysql_fetch_array($consulta))
{

$total121 = $row["total"];

if ($total121 == '') { echo "PARA CANCELAR UNA VENTA NO PUEDE EXISTIR UNA VENTA EN PROCESO, PRIMERO FINALICE LA VENTA ACTUAL Y LUEGO CANCELE."; exit; } ;

}
mysql_free_result($consulta);





$sql = "SELECT * FROM `caja_tarjeta` ORDER BY `caja_tarjeta`.`ID` DESC  LIMIT 1";

$consulta = mysql_query ($sql);
while ($row = mysql_fetch_array($consulta))
{

$total121 = $row["total_caja"];

echo "total caja $total121";


} mysql_free_result($consulta);

?><!DOCTYPE html>
<html>

    <head>
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <title>Anular</title>
        <meta name="description" content="Una guía interactiva de primeros pasos para Brackets.">
        <link rel="stylesheet" href="main.css">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <style type="text/css">

.Estilo2 {
	font-size: 19px;
	font-weight: bold;
	font-style: italic;
	font-family: Arial, Helvetica, sans-serif;
}
.Estilo3 {font-family: Arial, Helvetica, sans-serif; font-size: 19px;}


@media print{

  .oculto-impresion, .oculto-impresion *{

    display: none !important;

  }

}



        </style>
</head>
    <body>

<p class="Estilo3"><? echo $nombre_kiosco ?></p>
<p class="Estilo3">


<div class="Estilo3" style="font-family:Arial, Helvetica, sans-serif; font-size:9px;"><?php

$a = date(Y);
$m = date(m);
$d = date(d);
$h = date(H);
$min = date(i);




echo "$d/$m/$a - <b>$h:$min</b>"; ?></div>



<br>

<?

$ID_venta = (int)$_GET['ID'];

?>

<?
$total = 0;

mysql_connect("$host","$usuario","$contra");

mysql_select_db ("$basedatos");

$sql = "SELECT * FROM `ventas` WHERE `ID` =  '$ID_venta' LIMIT 1";

$consulta = mysql_query ($sql);

while ($row = mysql_fetch_array($consulta))

{


$monto = $row["total"];
$monto11 = $row["total"];

$monto = $monto - $monto - $monto;

}

mysql_free_result($consulta);






///vuelvo a subir el stock...









$sql = "SELECT ID_articulo, cantidad FROM `movimientos` WHERE `ID_venta` = '$ID_venta'";

$consulta = mysql_query ($sql);

while ($row = mysql_fetch_array($consulta))

{
    
    
  $ID_articulox = $row["ID_articulo"];
    $cantidadx = $row["cantidad"];
  
  
  //veo que stock tiene y le sumo cantidad
  
  
  
  
$sql2 = "SELECT * FROM `articulos` WHERE `ID` = '$ID_articulox' LIMIT 1";

$consulta2 = mysql_query ($sql2);

while ($row2 = mysql_fetch_array($consulta2))

{
    
    
  $stockx = $row2["stock"];
  
  $nuevostock = $stockx + $cantidadx;
  
  
  
   //actualizo stock
mysql_db_query("$basedatos","


UPDATE `articulos` SET `stock` = '$nuevostock' WHERE `articulos`.`ID` = '$ID_articulox' LIMIT 1; 

");


}

mysql_free_result($consulta2);


}

mysql_free_result($consulta);


echo "STOCK ACTUALIZADO DE :  $stockx A $nuevostock; <BR>";



$total21212  = $total121 - $monto11;
echo  "monto>>  $monto11";
///anulo la venta.


mysql_db_query("$basedatos","


INSERT INTO `caja_tarjeta` (`ID`, `detalle`, `monto`, `total_caja`, `fecha`) VALUES (NULL, 'ANULACION DE $ID_venta', '$monto', '$total21212', CURRENT_TIMESTAMP);


");


mysql_db_query("$basedatos","


UPDATE `ventas` SET `forma_pago` = 'anulado' WHERE `ventas`.`ID` = $ID_venta LIMIT 1;

");


?>
<BR>
<FONT COLOR=RED>MOVIMIENTO ANULADO</FONT>
<BR>
<br>
<B>PRESIONE F5 O ACTUALICE EL SISTEMA PARA VER REFLEJADOS LOS CAMBIOS.</B>



    </body>
</html>






<h2>VENTA Nº <?php echo $ID_venta ?></h2><hr />



<H3>DETALLE DE LA COMPRA:</H3> <HR>



<?



$total = 0;

mysql_connect("$host","$usuario","$contra");



mysql_select_db ("$basedatos");





$sql = "SELECT * FROM `movimientos` WHERE `ID_venta` = '$ID_venta'";


$parte2 = '';


$consulta = mysql_query ($sql);


$numeroa = mysql_num_rows($consulta);



while ($row = mysql_fetch_array($consulta))



{



$ID_articulo = $row["ID_articulo"];

$precio = $row["precio"];

$cantidad = $row["cantidad"];
$detalle = $row["detalle"];

if ($multicaja == 1) { mysql_select_db ("$basedatos_multicaja"); };

$sql22 = "SELECT * FROM `articulos` WHERE `ID` = '$ID_articulo' LIMIT 1";



$consulta22 = mysql_query ($sql22);



while ($row22 = mysql_fetch_array($consulta22))



{



$ID_producto = $row22["ID"];

$titulo = $row22["titulo"];

$foto = $row22["foto"];



$stock = $row22["stock"];
$barcode2 = $row22["barcode"];
$barcode = $row22["barcode"];
$precio_costo = $row22["precio_costo"];

$cat = $row22["cat"];

$limite  = $row22["limite"];

$total_c  = $precio * $cantidad;

$stock_ahora = $stock - $cantidad;


$numerob = $numerob + 1;


    if ($numeroa != $numerob) {$coma = ","; } else {$coma = "";};
    
    
    

    
$parte2 .= '
 
    {
        "codigoArticulo": "'.$barcode.'",
        "codigoBarras": "'.$barcode.'",
        "descripcionArticulo": "'.$titulo.'",
        "cantidad": '.$cantidad.',
        "importeUnitario": '.$precio.',
        "importe": '.$total_c.',
        "descuento": 0.00,
        "recargo": 0.00,
        "clasificacionDescuento": null
    }   '.$coma.'
    
    ';
    
    
}

mysql_free_result($consulta22);




$precio = $precio * $cantidad;

$precio_costo = $precio_costo * $cantidad;

$total = $total + $precio;

$total_costo = $total_costo + $precio_costo;



}



mysql_free_result($consulta);



mysql_select_db ("$basedatos");
 
 
$sql = "SELECT * FROM `ID_ventas` LIMIT 1";

$consulta = mysql_query ($sql);

while ($row = mysql_fetch_array($consulta))
{

$ID_venta = $row["ID"];
}

mysql_free_result($consulta);
 
 

 
 
  $masuno = $ID_venta + 1;
 
 $sSQL="UPDATE `ID_ventas` SET `ID` = '$masuno'";

mysql_db_query("$basedatos",$sSQL);



$fecha_actual = date('Y-m-d\TH:i:s.000O');


// Dividir el código en cuatro partes
$parte1 = '{

  
    "fecha": "'.$fecha_actual.'",
    "numero": "'.$masuno.'",
    "descuentoTotal": 0.00,
    "recargoTotal": 0.00,
    "codigoMoneda": "032",
    "cotizacion": 1.00,
    "total": '.$total.',
    "cancelacion": true,
    "documentoCliente": "62167733305",
    "codigoCanalVenta": 1,
    "descripcionCanalVenta": "VENTA EN EL LOCAL",
    "detalles": [
';



  
$parte3 = '

],
    "pagos": [
{
        "codigoTipoPago": 9,
        "codigoMoneda": "032",
        "importe": '.$total.',
        "cotizacion": 1.00,
        "documentoCliente": null,
        "bin": null,
        "ultimosDigitosTarjeta": null,
        "numeroAutorizacion": null,
        "codigoTarjeta": null
    }]
}';


$data = $parte1 . $parte2 . $parte3;







if ($scan == 1) {


// Configura la solicitud POST
$options = array(
    CURLOPT_URL => $url,
    CURLOPT_POST => 1,
    CURLOPT_POSTFIELDS => $data,
    CURLOPT_HTTPHEADER => array(
        'Content-Type: application/json',
    ),
    CURLOPT_USERPWD => "$username:$password", // Agrega las credenciales aquí
);

// Inicializa cURL y configura las opciones
$ch = curl_init();
curl_setopt_array($ch, $options);

// Realiza la solicitud POST
$response = curl_exec($ch);

// Maneja la respuesta (puede ser JSON u otro formato)
if ($response === false) {
   // echo "Error en la solicitud: " . curl_error($ch);
} else {
    // echo "Respuesta de la API: " . $response;
}

// Cierra la conexión cURL
curl_close($ch);
}
////fin IF scan tech

    
//echo json_encode($data); 


$sql = "SELECT opcion30 FROM `configuracion` LIMIT 1;";
$consulta = mysql_query ($sql);
while ($row = mysql_fetch_array($consulta))
{
$opcion30  = $row["opcion30"];
}
mysql_free_result($consulta); 

$masuno = $opcion30 + 1;


$sSQL="
UPDATE `configuracion` SET `opcion30` = '$masuno' LIMIT 1;";

mysql_db_query("$basedatos",$sSQL); 



$sql = "SELECT opcion31 FROM `configuracion` LIMIT 1;";
$consulta = mysql_query ($sql);
while ($row = mysql_fetch_array($consulta))
{
$opcion31  = $row["opcion31"];
}
mysql_free_result($consulta); 


$sql = "SELECT opcion32 FROM `configuracion` LIMIT 1;";
$consulta = mysql_query ($sql);
while ($row = mysql_fetch_array($consulta))
{
$opcion32  = $row["opcion32"];
}
mysql_free_result($consulta); 



$masuno = $opcion31 + $total;




$sSQL="
UPDATE `configuracion` SET `opcion31` = '$masuno' LIMIT 1;";

mysql_db_query("$basedatos",$sSQL); 

 

 $nuevo_precio = $opcion32 - $masuno;
 
 

 
$sSQL="
UPDATE `configuracion` SET `opcion32` = '$nuevo_precio' LIMIT 1;";

mysql_db_query("$basedatos",$sSQL); 

 

// Decodificar el JSON
/// echo $data = json_decode($json_string, true);

  



?>